Percona Server with XtraDB

main.percona_slow_extended-slave_innodb_stats fails sporadically in 5.1.56

Reported by Alexey Kopytov on 2011-04-13
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Percona Server
Undecided
Alexey Kopytov
5.1
Undecided
Alexey Kopytov
5.5
Undecided
Alexey Kopytov

Bug Description

Reporting https://bugs.launchpad.net/percona-projects-qa/+bug/724577/comments/1 as a separate bug:

Found this problem when compiling 5.1.56 in CentOS:

main.percona_slow_extended-slave_innodb_stats [ pass ] 4260

MTR's internal check of the test case 'main.percona_slow_extended-slave_innodb_stats' failed.
This means that the test case does not preserve the state that existed
before the test case was executed. Most likely the test case did not
do a proper clean-up. It could also be caused by the previous test run
by this thread, if the server wasn't restarted.
This is the diff of the states of the servers before and after the
test case was executed:
mysqltest: Logging to '/home/ignacio.nin/src/work/BUILD/Percona-Server-5.1.56/mysql-test/var/tmp/check-mysqld_2.log'.
mysqltest: Results saved in '/home/ignacio.nin/src/work/BUILD/Percona-Server-5.1.56/mysql-test/var/tmp/check-mysqld_2.result'.
mysqltest: Connecting to server localhost:13011 (socket /home/ignacio.nin/src/work/BUILD/Percona-Server-5.1.56/mysql-test/var/tmp/mysqld.2.sock) as 'root', connection 'default', attempt 0
 ...
mysqltest: ... Connected.
mysqltest: Start processing test commands from './include/check-testcase.test' ...
mysqltest: ... Done processing test commands.
--- /home/ignacio.nin/src/work/BUILD/Percona-Server-5.1.56/mysql-test/var/tmp/check-mysqld_2.result 2011-04-13 01:41:39.042285782 +0300
+++ /home/ignacio.nin/src/work/BUILD/Percona-Server-5.1.56/mysql-test/var/tmp/check-mysqld_2.reject 2011-04-13 01:41:43.605535326 +0300
@@ -1,4 +1,4 @@
-Slave_IO_State
+Slave_IO_State Waiting for master to send event
 Master_Host 127.0.0.1
 Master_User root
 Master_Port 13010
@@ -8,8 +8,8 @@
 Relay_Log_File #
 Relay_Log_Pos #
 Relay_Master_Log_File #
-Slave_IO_Running No
-Slave_SQL_Running No
+Slave_IO_Running Yes
+Slave_SQL_Running Yes
 Replicate_Do_DB
 Replicate_Ignore_DB
 Replicate_Do_Table
@@ -30,7 +30,7 @@
 Master_SSL_Cert
 Master_SSL_Cipher
 Master_SSL_Key
-Seconds_Behind_Master NULL
+Seconds_Behind_Master 0
 Master_SSL_Verify_Server_Cert No
 Last_IO_Errno 0
 Last_IO_Error

mysqltest: Result content mismatch

not ok

$ uname -a
Linux offbuild3.office.percona.com 2.6.32-71.el6.x86_64 #1 SMP Wed Sep 1 01:33:01 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

Stewart Smith (stewart) wrote :

Is this still the case?

affects: percona-projects-qa → percona-server
Alexey Kopytov (akopytov) wrote :

The failure was reported by Ignactio. I think it still can be observed for percona_slow_extended* tests in both 5.1 and 5.5.

Stewart Smith (stewart) wrote :

Oleg, this seems to be related to the code you're currently looking at, could you check/confirm that there's a fix?

Changed in percona-server:
assignee: nobody → Oleg Tsarev (tsarev)
Oleg Tsarev (tsarev) on 2011-07-11
Changed in percona-server:
status: New → In Progress
Oleg Tsarev (tsarev) on 2011-07-13
Changed in percona-server:
status: In Progress → Fix Committed
Changed in percona-server:
assignee: Oleg Tsarev (tsarev) → Alexey Kopytov (akopytov)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers